> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# IDを指定してShuttleレポートを取得

> IDで指定された1つのShuttleレポートの詳細情報を返します。これには、生成ステータスに加えて、生成終了後にはBox出力参照も含まれます。

> [!NOTE]
>
> 「[Box SDKのバージョニング戦略](https://developer.box.com/ja/guides/tooling/sdks/sdk-versioning.md)について詳しく学ぶ。」


## OpenAPI

````yaml box-openapi-v2026.0-jp.json GET /shuttle_reports/{shuttle_report_id}
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 0274a35f73
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: ドキュメント分割
    description: >-
      ページ割りされたソースドキュメントを、ユーザー定義のページ範囲またはAI生成のページ範囲に基づいて複数のファイルに分割するために使用される、一連のエンドポイント。
    x-box-tag: document_split
  - name: クエリ
    description: 項目に対するクエリ。
    x-box-tag: query
  - name: Shuttle
    description: >-
      外部ソースからBoxにコンテンツを移行するサービスであるBox
      Shuttleを管理するためのエンドポイント。これらのエンドポイントを使用して、Shuttleがコンテンツの移行元として使用するシステム、およびShuttleが実行する移行ジョブを管理します。
    x-box-tag: shuttle
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /shuttle_reports/{shuttle_report_id}:
    get:
      tags:
        - Shuttle
      summary: IDを指定してShuttleレポートを取得
      description: IDで指定された1つのShuttleレポートの詳細情報を返します。これには、生成ステータスに加えて、生成終了後にはBox出力参照も含まれます。
      operationId: get_shuttle_reports_id_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
        - name: shuttle_report_id
          in: path
          description: Shuttleレポートの一意の識別子。
          required: true
          schema:
            type: string
          example: 6a3ba8d14f2c91e8370b4d12
      responses:
        '200':
          description: Shuttleレポートを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShuttleReport'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 認証済みユーザーが、Enterpriseのプロパティを管理する権限を持つ管理者または共同管理者ではない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: Shuttleレポートが見つからないか、ユーザーがアクセスできない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎる場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    ShuttleReport:
      description: >-
        Shuttleジョブの実行について非同期で生成されるレポート。`status`が`pending`または`processing`の間はポーリングを継続します。`status`が`complete`、`failed`、`canceled`、または`unknown`になると停止します。生成されるBoxファイルまたはフォルダは、生成が完了するまで`null`です。
      type: object
      properties:
        id:
          description: Shuttleレポートの一意の識別子。
          type: string
          example: 6a3ba8d14f2c91e8370b4d12
        type:
          description: 値は常に`shuttle_report`になります。
          type: string
          example: shuttle_report
          enum:
            - shuttle_report
        run_id:
          description: このレポートの生成対象となったShuttle実行の一意の識別子。
          type: string
          example: 6a3ba68e810d9156194530a1:42
        status:
          description: >-
            レポートの生成ステータス。これは取り得る値が固定されていない文字列で、今後新しい値が追加されることが想定されています。現在ドキュメント化されている値には、`pending`、`processing`、`complete`、`failed`、`canceled`、`unknown`があります。`pending`または`processing`の場合はポーリングを継続します。`complete`、`failed`、`canceled`、`unknown`の場合は停止します。認識できない値はすべて`unknown`と同様に扱います。認識されない値が返されても、分析を失敗させたり、ポーリングを継続したりしないでください。
          type: string
          example: complete
        format:
          description: レポートの出力ファイル形式。
          type: string
          example: xlsx
          enum:
            - xlsx
            - csv
        sections:
          description: >-
            レポートに含まれているセクション。作成時にリクエストされたセクションがそのまま返されます。これは取り得る値が固定されていないリストで、今後新しい値が追加されることが想定されています。現在ドキュメント化されている値には、`files_and_folders`、`event_log`、`transfer_overview`、`source_users`、`target_users`、`source_collaborators`、`target_collaborators`、`source_collaborations`、`target_collaborations`があります。セクションリストが保存されていない古いレポートでは省略されます。新しいレポートには常にこのフィールドが含まれます。
          type: array
          items:
            type: string
            description: レポートに含まれているセクション。
            example: event_log
          example:
            - event_log
            - transfer_overview
          minItems: 1
        users_scope:
          description: ユーザー関連のレポートセクションに含まれているユーザー。
          type: string
          example: migrated
          enum:
            - migrated
            - all
        output:
          description: 生成されたBoxファイルまたはフォルダ。常に存在しますが、`status`が`complete`になるまでは`null`です。
          example:
            id: '12345678'
            type: file
          oneOf:
            - $ref: '#/components/schemas/ShuttleReportOutput'
            - title: OpenAPI 3.0 null schema type
              description: The definition for a null schema type in OpenAPI `3.0`.
              type: object
              nullable: true
              additionalProperties: false
        created_at:
          description: レポートの生成がリクエストされた日時。
          type: string
          format: date-time
          example: '2026-03-15T06:35:00Z'
        completed_at:
          description: レポートの生成が完了した日時。常に存在しますが、生成中は`null`です。
          type: string
          format: date-time
          example: '2026-03-15T06:36:12Z'
          nullable: true
      required:
        - id
        - type
        - run_id
        - status
        - format
        - output
        - completed_at
      title: Shuttleレポート
      x-box-resource-id: shuttle_report_v2026.0
      x-box-tag: shuttle
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
    ShuttleReportOutput:
      description: 生成されたBoxファイルまたはフォルダへの参照。
      type: object
      properties:
        id:
          description: 生成されたBoxファイルまたはフォルダの一意の識別子。
          type: string
          example: '12345678'
        type:
          description: 生成されたファイルまたはフォルダのBoxオブジェクトタイプ。
          type: string
          example: file
          enum:
            - file
            - folder
      required:
        - id
        - type
      title: Shuttleレポート出力
      x-box-resource-id: shuttle_report_output_v2026.0
      x-box-tag: shuttle
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````